<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim file As New System.IO.FileInfo(Server.MapPath("PlikTekstowy.txt"))
        Me.lblLocation.Text = file.FullName
        Me.lblSize.Text = file.Length.ToString()
        Me.lblCreated.Text = file.CreationTime.ToString()
        Me.lblModified.Text = file.LastWriteTime.ToString()
        Me.lblAccessed.Text = file.LastAccessTime.ToString()
        Me.lblAttributes.Text = file.Attributes.ToString()
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Korzystanie z klasy Path</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
      Lokalizacja: <asp:Label ID="lblLocation" runat="server" /><br />
      Rozmiar: <asp:Label ID="lblSize" runat="server" /><br />
      Data utworzenia: <asp:Label ID="lblCreated" runat="server" /><br />
      Data modyfikacji: <asp:Label ID="lblModified" runat="server" /><br />
      Data dostępu: <asp:Label ID="lblAccessed" runat="server" /><br />
      Atrybuty: <asp:Label ID="lblAttributes" runat="server" /><br />
    </div
    </form>
</body>
</html>